$2 / 1k reviews
Extract Airbnb reviews — text, author, rating, date — from provided URLs, specifying a locale
Endpoint
POST /api/v1/agents/airbnb/reviews/run
Parameters
List · List of Airbnb room URLs to extract reviews from.
Dropdown · Localized reviews will be extracted in this locale (language and region).View all 93 options →
Number · Maximum total reviews to return across all listings. Use 0 for all.
Response columns
| Field | Display name | Type |
|---|
listingUrl | Listing URL | url |
reviewText | Review Text | text |
rating | Rating | rating |
ratingLabel | Rating Label | text |
posted | Posted | text |
language | Language | text |
highlightType | Highlight Type | text |
highlight | Highlight | text |
reviewerLocation | Reviewer Location | text |
reviewer | Reviewer | text |
reviewerHostName | Reviewer Host Name | text |
reviewerAvatar | Reviewer Avatar | url |
reviewerProfileUrl | Reviewer Profile URL | url |
host | Host | text |
hostDisplayName | Host Display Name | text |
hostAvatar | Host Avatar | url |
hostProfileUrl | Host Profile URL | url |
hostResponse | Host Response | text |
localizedTranslation | Localized Translation | text |
translationDisclaimer | Translation Disclaimer | text |
Example
curl -X POST https://api.mindcase.co/api/v1/agents/airbnb/reviews/run \
-H "Authorization: Bearer mk_live_abc123def456" \
-H "Content-Type: application/json" \
-d '{
"params": {
"urls": [
{
"url": "https://www.airbnb.com/rooms/12937"
}
],
"locale": "en-US"
}
}'
Example response
{
"job_id": "job_7f3a2b1c",
"status": "completed",
"data": [
{
"listingUrl": "https://www.airbnb.com/rooms/12937",
"reviewText": "Very convenient location, excellent host and i would absolutely stay here again if I was lucky enough to have it available.",
"rating": 5,
"ratingLabel": "Rating, 5 stars",
"posted": "2026-04-25T20:37:36Z",
"language": "en",
"highlightType": "LENGTH_OF_STAY",
"highlight": "Stayed a few nights",
"reviewerLocation": "Tomah, Wisconsin",
"reviewer": "Kimberly",
"reviewerHostName": "Kimberly",
"reviewerAvatar": "https://a0.muscache.com/im/pictures/user/adf98f68-0045-4aa5-bc8c-5eca03851862.jpg",
"reviewerProfileUrl": "/users/profile/1493409147399647604",
"host": "Orestes",
"hostDisplayName": "Orestes",
"hostAvatar": "https://a0.muscache.com/im/pictures/user/ebac33aa-6e5a-4279-8a92-0968ddf66ae2.jpg",
"hostProfileUrl": "/users/profile/1462507638639660367",
"hostResponse": null,
"localizedTranslation": null,
"translationDisclaimer": null
}
]
}